Generate signature request for a policy.
curl --request POST \
--url https://api.example.com/policies/{policyId}/signature \
--header 'Content-Type: application/json' \
--data '
{
"neededForPolicySigned": true,
"isOtp": true,
"phoneNumber": "<string>"
}
'import requests
url = "https://api.example.com/policies/{policyId}/signature"
payload = {
"neededForPolicySigned": True,
"isOtp": True,
"phoneNumber": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({neededForPolicySigned: true, isOtp: true, phoneNumber: '<string>'})
};
fetch('https://api.example.com/policies/{policyId}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signatures": [
{
"id": "<string>",
"signers": [
{
"customerId": "<string>",
"url": "<string>"
}
]
}
]
}
policy
Generate signature request for a policy.
POST
/
policies
/
{policyId}
/
signature
Generate signature request for a policy.
Path Parameters
the policy id
Body
application/json
the delivery mode
Available options:
EMAIL, URL Do we want to sign the documents needed for the policy to be signed? If yes, it signs all those documents at the same time.
if the signature request is an otp one or not
the phone number
Response
the signature requests
Show child attributes
Show child attributes
Was this page helpful?
Confirm the policy. The policy and its assets all become [CONFIRMED](#object-statuses) and can no longer be modified in the New Business flow.GetPremiumSchedule
⌘I

